Download it now!
Bug 133028 - CRASH: hovering items in navigator
Summary: CRASH: hovering items in navigator
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-05-14 08:55 UTC by Xisco Faulí
Modified: 2020-05-19 19:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-05-14 08:55:54 UTC
Steps to reproduce:
1. Open attachment 154745 [details] from bug 127957
2. Open the navigator
3. Expand Sheets
4. Click on Toggle
5. Hover the scenarios

-> Crash

Reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 56d381c3deb213a40c54ce6e194f79f0334b5d7b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-05-14 08:56:58 UTC
Reproduced in

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d616b6a92665855d2ba0ebc2a3064505a4947e06

author	Caolán McNamara <caolanm@redhat.com>	2020-03-05 16:11:12 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-03-05 21:02:19 +0100
commit	d616b6a92665855d2ba0ebc2a3064505a4947e06 (patch)
tree	dc17f53295b6743ef4a4ce6755c693f58f16a4c7
parent	a6b2e86917dc0f54dbaebe11ce7d3dfd97b4b3fa (diff)
restore calc navigator custom tooltip

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-05-14 10:32:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5719e40defd0d7fd6681287ce6cd91efceba47da

Resolves: tdf#133028 crash in calc navigator tooltips

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-05-19 19:32:41 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!